Page MenuHomePhabricator

Using "Do not use machine translation" option for a table causes all sections below go out of alignment
Closed, ResolvedPublic

Description

Using "Do not use machine translation" option for a table causes all sections below go out of alignment. The table becomes zero height. and all sections below moves up.

The jquery empty() method is inappropriate for tables since it results invalid <table></table>

Event Timeline

santhosh created this task.Aug 19 2016, 5:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2016, 5:03 AM
santhosh triaged this task as High priority.Aug 19 2016, 5:04 AM
Amire80 moved this task from Bugs to CX10 (July-Sep. 2016) on the ContentTranslation board.
  1. Is this still happening?
  2. Is this supposed to be in CX10?
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Jun 5 2018, 12:14 PM

We may want to check if this happens in CX2 after T196056 is solved.

List of cities and towns in Armenia is a perfect example of the problem. It doesn't matter which option (use or don't) do you choose, the whole translation page crashes and impossible to edit anything.

Pginer-WMF closed this task as Resolved.Aug 6 2018, 3:07 PM
Pginer-WMF claimed this task.

The issue seems to be solved in the new version of Content Translation. Users can try the new version as described in the previous link, and soon will become more widely available.

The screenshot below shows how the paragraph below the table of Armenian cities is aligned with the "Add translation" placeholder.